<template>
  <client-only>
    <app-pane-base
      :breaks="{}"
      :shown="shown"
      @update:shown="(isShown) => emit('update:shown', isShown)"
    >
      <slot/>
    </app-pane-base>
  </client-only>
</template>

<script setup lang="ts">
import type { CupertinoSettings } from 'cupertino-pane'

const emit = defineEmits(['update:shown'])
const props = defineProps({
  shown: {
    type: Boolean,
    default: false,
  },
})

const breaks:Required<CupertinoSettings>['breaks'] = {
  top: { enabled: false },
  middle: { enabled: false },
  bottom: {
    enabled: true,
    height: 250,
    bounce: true,
  },
}


</script>